net.sf.jasperreports.engine.base

## Class JRBaseBoxPen

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePen
  - - net.sf.jasperreports.engine.base.JRBaseBoxPen

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRBoxPen, Deduplicable, JRChangeEventsSupport, JRPen
  Direct Known Subclasses:
    JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxRightPen, JRBaseBoxTopPen

      public class JRBaseBoxPen
      extends JRBasePen
      implements JRBoxPen

  Version:
    $Id: JRBaseBoxPen.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRLineBox` | `lineBox`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePen

      `lineColor, lineStyleValue, lineWidth, penContainer, PROPERTY_LINE_COLOR, PROPERTY_LINE_STYLE, PROPERTY_LINE_WIDTH`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPen

      `LINE_WIDTH_0, LINE_WIDTH_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseBoxPen(JRLineBox box)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRBoxPen` | `clone(JRLineBox lineBox)`
    `JRLineBox` | `getBox()`
    `java.awt.Color` | `getLineColor()` Gets the line color.
    `LineStyleEnum` | `getLineStyleValue()` Indicates the line style used for this pen.
    `java.lang.Float` | `getLineWidth()` Gets the line width used for this pen.
    `JRPen` | `getPen(JRLineBox box)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePen

      `clone, getEventSupport, getHashCode, getOwnLineColor, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, getStyleNameReference, isIdentical, setLineColor, setLineStyle, setLineWidth, setLineWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPen

      `clone, getOwnLineColor, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, setLineColor, setLineStyle, setLineWidth, setLineWidth`

- - ### Field Detail

    - #### lineBox

          protected JRLineBox lineBox

  - ### Constructor Detail

    - #### JRBaseBoxPen

          public JRBaseBoxPen(JRLineBox box)

  - ### Method Detail

    - #### getBox

          public JRLineBox getBox()

      Specified by:
        `getBox` in interface `JRBoxPen`

    - #### getLineWidth

          public java.lang.Float getLineWidth()

      Description copied from interface: `JRPen`
      Gets the line width used for this pen.
      Specified by:
        `getLineWidth` in interface `JRPen`
      Overrides:
        `getLineWidth` in class `JRBasePen`
      Returns:
        line width

    - #### getLineStyleValue

          public LineStyleEnum getLineStyleValue()

      Description copied from interface: `JRPen`
      Indicates the line style used for this pen.
      Specified by:
        `getLineStyleValue` in interface `JRPen`
      Overrides:
        `getLineStyleValue` in class `JRBasePen`
      Returns:
        a value representing one of the line style constants in `LineStyleEnum`

    - #### getLineColor

          public java.awt.Color getLineColor()

      Description copied from interface: `JRPen`
      Gets the line color.
      Specified by:
        `getLineColor` in interface `JRPen`
      Overrides:
        `getLineColor` in class `JRBasePen`

    - #### getPen

          public JRPen getPen(JRLineBox box)

      Specified by:
        `getPen` in interface `JRBoxPen`

    - #### clone

          public JRBoxPen clone(JRLineBox lineBox)

      Specified by:
        `clone` in interface `JRBoxPen`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com